Bug 226943 - pppd hangs when the modem is hung or powered down
pppd hangs when the modem is hung or powered down
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 01:34 EST by Jacques
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:09:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacques 2007-02-02 01:34:31 EST
Description of problem:

pppd does not exist when the modem is hung or powered down.

Version-Release number of selected component (if applicable):

ppp-2.4.4-1.fc6

How reproducible:

Every time

Steps to Reproduce:
1. Simulate a hung modem by powering down the modem or pointing pppd to a serial
port that is not connected to any device.
2. Create a test dial-up connection (phone number, login, password are irrelevant.
3. Run <ifup test_connection_name>
  
Actual results:

In /var/log/messages:
wvdial correctly reports "Modem not responding".
pppd correctly reports "Connect script failed".
But pppd does not exit
An strace reveals that it hangs with
ioctl(8, SNDCTL_TMR_CONTINUE or TCSETSF, {B9600 opost isig icanon -echo ...}) = 9
Trying to change the port settings with stty also hangs, so I suspect that the
serial port is in blocking mode waiting for a read or write request to finish.
And since the modem is hung, pppd will pretty much hang forever.

Expected results:

pppd should exit after reporting "Connect script failed"

Additional info:

This is for an automated off-site system, so the dial-up script needs to be
robust. A workaround is to run ifup <name> in the background. You can then check
the PID at regular intervals. The process will complete if the dialup was
successful, otherwise a killall -9 pppd wil sort it out. But this shouldn't be
necessary.
Comment 1 Bug Zapper 2008-04-04 02:04:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:09:05 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.